На главную... Продукты | Технологии | Классификаторы | Проекты | Скачать | Цены| Форум | Статьи | Обучение | Контакты

Ошибка установки на Astra 1.5

Поиск  Пользователи  Правила  Войти
Форум » Linux » ГИС Панорама для Linux
Страницы: Пред. 1 2
RSS
Ошибка установки на Astra 1.5
 
Цитата
Александр Савелов написал:
Здравствуйте!

Проблема с установкой на конкретном компьютере может быть связана с тем, что в локальном репозитории сохранилась некорректная версия пакета. Для очистки локального репозитория используется следующая команда:
Код
 sudo apt-get clean
 
К сожалению, уже пробовал - без результатов.
Также при установке с разных дисков одной версии - в ошибке имя файла может меняться (вроде Clip0018, а с другого диска Clip0032)
 
В качестве обходного пути можно выполнить ручную распаковку установочного пакета и выполнить скрипты из состава пакета.
Например, если установочный пакет ГИС Оператор SE расположен в каталоге /tmp, то команды будут выглядеть следующим образом:
Код
mkdir /tmp/unpacked-operator
cd /tmp/unpacked-operator

dpkg -x ../operator_x86.deb ./
dpkg-deb -e ../operator_x86.deb ./DEBIAN

sudo cp -pr ./usr/Operator13/ /usr/
sudo bash ./DEBIAN/postinst
 
Проблема решилась - встроенный CD ROM работал с ошибками чтения, при установке со стороннего рома установка прошла.
Далее были ошибки с библиотеками, которые были решены этой методикой https://gisweb.ru/forum/forum32/11879-funktsionirovanie-sertifitsirovannogo-gis-operator-se-v-os-ast...
Страницы: Пред. 1 2
Читают тему (гостей: 1)



© КБ Панорама, 1991-2022

Регистрируясь или авторизуясь на форуме, Вы соглашаетесь с Политикой конфиденциальности